Delete a fabric template - Fabric
Delete a fabric template
cURL
curl --request DELETE \
--url https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/fabric/{fabric_id}/templates/{id}/ \
--header 'Authorization: Bearer <token>'
import requests
url = "https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/fabric/{fabric_id}/templates/{id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/fabric/{fabric_id}/templates/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Response
204
{
"message": "Template Deleted."
}
Authorization
Authorization
string
header
required
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
retailer_id
integer
required
The unique retailer ID. In the Dropship UI this is called the Merchant ID. To find your Merchant ID, click your merchant name in the top nav.
Example:1001fabric_id
integer
required
This ID maps to your Platform Account ID. To find this ID login to Dropship and click Merchant Settings > Integrations. In the options field, select configuration. The fabric Settings page is displayed with your Platform Account ID.id
integer
required
The unique template identifier.
Response
204 - application/json
Template deleted
No response body is returned.
message
string
read-only
Returns a 204 response indicating the template was successfully deleted.
Example:"Template Deleted."